Package org.eclipse.cdt.core.settings.model

## Interface ICLanguageSettingEntry

All Superinterfaces:
  `ICSettingEntry`

All Known Subinterfaces:
  `ICIncludeFileEntry`, `ICIncludePathEntry`, `ICLanguageSettingPathEntry`, `ICLibraryFileEntry`, `ICLibraryPathEntry`, `ICMacroEntry`, `ICMacroFileEntry`

All Known Implementing Classes:
  `CIncludeFileEntry`, `CIncludePathEntry`, `CLibraryFileEntry`, `CLibraryPathEntry`, `CMacroEntry`, `CMacroFileEntry`

    public interface ICLanguageSettingEntry
    extends ICSettingEntry

Representation in the project model of language settings entries such as include paths (-I) or preprocessor defines (-D) and others (see `ICSettingEntry.INCLUDE_PATH` and other kinds).

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.settings.model.ICSettingEntry

`ALL, BUILTIN, EXPORTED, FRAMEWORKS_MAC, INCLUDE_FILE, INCLUDE_PATH, LIBRARY_FILE, LIBRARY_PATH, LOCAL, MACRO, MACRO_FILE, NONE, OUTPUT_PATH, READONLY, RESOLVED, SOURCE_PATH, UNDEFINED, VALUE_WORKSPACE_PATH`

### Method Summary

### Methods inherited from interface org.eclipse.cdt.core.settings.model.ICSettingEntry

`equalsByContents, equalsByName, getFlags, getKind, getName, getValue, isBuiltIn, isReadOnly, isResolved`